Bug 970556 - Review Request: maven-stapler-plugin - Maven plugin for Stapler
Review Request: maven-stapler-plugin - Maven plugin for Stapler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 06:32 EDT by Michal Srb
Modified: 2013-07-05 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 00:55:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-06-04 06:32:37 EDT
Spec URL: http://msrb.fedorapeople.org/review/maven-stapler-plugin.spec
SRPM URL: http://msrb.fedorapeople.org/review/maven-stapler-plugin-1.16-1.fc20.src.rpm
Description: This package contains Apache Maven plugin for Stapler Web Framework.
Fedora Account System Username: msrb
Comment 1 gil cattaneo 2013-06-04 06:58:14 EDT
would like to take this review
Comment 2 gil cattaneo 2013-06-04 07:07:45 EDT
hi, build fails:

[WARNING] The POM for net.sf.ezmorph:ezmorph:jar:1.0.6 is missing, no dependency information available
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Skipping Maven Stapler plugin
[INFO] This project has been banned from the build due to previous failures.
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 2.218s
[INFO] Finished at: Tue Jun 04 13:03:43 CEST 2013
[INFO] Final Memory: 16M/142M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project maven-stapler-plugin: Could not resolve dependencies for project org.kohsuke.stapler:maven-stapler-plugin:maven-plugin:1.16: The repository system is offline but the artifact net.sf.ezmorph:ezmorph:jar:1.0.6 is not available in the local repository. -> [Help 1]
[ERROR] 
can you add this one as BR?
thanks
regards
Comment 4 gil cattaneo 2013-06-17 08:23:51 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in maven-
     stapler-plugin-javadoc
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "BSD (2 clause)", "Unknown or generated". 5 files have
     unknown license.
     CDDL: src/main/java/org/kohsuke/stapler/AptMojo.java
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: maven-stapler-plugin-1.16-2.fc20.noarch.rpm
          maven-stapler-plugin-javadoc-1.16-2.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint maven-stapler-plugin maven-stapler-plugin-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
maven-stapler-plugin (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.google.guava:guava)
    mvn(dom4j:dom4j)
    mvn(jaxen:jaxen)
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven:maven-artifact)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.maven:maven-project)
    mvn(org.codehaus.plexus:plexus-compiler-javac)
    mvn(org.codehaus.plexus:plexus-compiler-manager)
    mvn(org.codehaus.plexus:plexus-utils)
    mvn(org.kohsuke.metainf-services:metainf-services)
    mvn(org.kohsuke.stapler:stapler)
    mvn(qdox:qdox)

maven-stapler-plugin-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
maven-stapler-plugin:
    maven-stapler-plugin
    mvn(org.kohsuke.stapler:maven-stapler-plugin)

maven-stapler-plugin-javadoc:
    maven-stapler-plugin-javadoc



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
https://github.com/stapler/maven-stapler-plugin/archive/maven-stapler-plugin-1.16.tar.gz :
  CHECKSUM(SHA256) this package     : 3641bc10812ccdf163b8a4f4d42a2f467452eb440f3b11d9246ec36ba9b33243
  CHECKSUM(SHA256) upstream package : 3641bc10812ccdf163b8a4f4d42a2f467452eb440f3b11d9246ec36ba9b33243


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 970556 -m fedora-rawhide-i386

License field should be changed in: BSD and CDDL and ASL 2.0
CDDL: src/main/java/org/kohsuke/stapler/AptMojo.java
can you fix this at the import time?

approved
Comment 5 Michal Srb 2013-06-17 08:29:08 EDT
Thanks for the review, I will fix the license tag.

New Package SCM Request
=======================
Package Name: maven-stapler-plugin
Short Description: Maven plugin for Stapler
Owners: msrb sochotni tradej mizdebsk
Branches: f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-06-17 08:31:41 EDT
Git done (by process-git-requests).
Comment 7 Michal Srb 2013-06-19 00:55:53 EDT
Thanks for the review and the repo. The package is in Rawhide now, closing.

Note You need to log in before you can comment on or make changes to this bug.